package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.locationtech.jts.noding.SegmentString;

/**
 * 模型版本
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：ModelVersion
 * @Description TODO
 * @Date：2025/1/8 19:25
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("model_version")
public class ModelVersion extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 版本名称
     */
    private String versionName;
    /**
     * 模型类型ID
     */
    private Long modelTypeId;
    /**
     * 文件地址
     */
    private String filePath;
    /**
     * 版本介绍（富文本编辑）
     */
    private String versionDescription;
    /**
     * 触发词
     */
    private String triggerWords;
    /**
     * 是否公开
     */
    private Integer isPublic;
    /**
     * 是否在线使用
     */
    private Integer isOnlineUse;
    /**
     * 允许下载生图
     */
    private Integer allowDownloadImage;
    /**
     * 允许在软件旗下使用
     */
    private Integer allowSoftwareUse;
    /**
     * 允许进行融合
     */
    private Integer allowFusion;
    /**
     * 是否允许商用
     */
    private Integer allowCommercialUse;
    /**
     * 是否允许使用
     */
    private Integer allowUsage;
    /**
     * 是否为独家模型
     */
    private Integer isExclusiveModel;
    /**
     * 示例图片地址（多张使用切割）
     */
    private String sampleImagePaths;
    /**
     * 是否隐藏图片生成信息
     */
    private Integer hideImageGenInfo;
    /**
     * 状态
     */
    private String status;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;


}
